DF(1)

NAME
df - report filesystem disk space usage

SYNOPSIS
df [options] [file...]

POSIX options: [-kP] [--]

GNU options (shortest form): [-ahHiklmPv] [-t fstype] [-x fstype] [--block-size=size] [--print-type] [--no-sync] [--sync] [--help] [--version] [--]

DESCRIPTION
df reports the amount of disk space used and available on filesystems.

With no arguments, df reports the space used and available on all currently mounted filesystems (of all types). Otherwise, df reports on the filesystem containing each argument file.

POSIX DETAILS
The output is in 512-byte units by default, but in 1024-byte units when the -k option is given. The output format is undefined, unless the -P option is given. If file is not a regular file, a directory or a FIFO, the result is unspecified.

GNU DETAILS
The output is in 1024-byte units (when no units are specified by options), unless the environment variable POSIXLY_CORRECT is set, in which case POSIX is followed.

If an argument file is a disk device file containing a mounted filesystem, df shows the space available on that filesystem rather than on the filesystem containing the device node.

POSIX OPTIONS

-k  Use 1024-byte units instead of the default 512-byte units.

-P  Output in six columns, with heading `Filesystem N-blocks Used Available Capacity Mounted on' (with N=512, but N=1024 when the -k option is given).

--  Terminate option list.

GNU OPTIONS

-a, --all
    Include in the listing filesystems that have a size of 0 blocks, which are omitted by default. Such filesystems are typically special-purpose pseudo-filesystems, such as automounter entries. Also, filesystems of type "ignore" or "auto", supported by some operating systems, are only included if this option is specified.

--block-size=size
    Print sizes in blocks of size bytes. (New but broken in fileutils-4.0.)

-h, --human-readable
    Append a size letter such as M for binary megabytes (`mebibytes') to each size.

-H, --si
    Do the same as for -h, but use the official SI units (with powers of 1000 instead of 1024, so that M stands for 1000000 instead of 1048576). (New in fileutils-4.0.)

-i, --inodes
    List inode usage information instead of block usage. An inode (short for index node) contains information about a file such as its owner, permissions, timestamps, and location on the disk.

-k, --kilobytes
    Print sizes in 1024-byte blocks.

-l, --local
    Limit the output to local filesystems only. (New in fileutils-4.0.)

-m, --megabytes
    Print sizes in binary megabyte (that's 1048576 bytes) blocks. Note that the four options -h, -H, -k, -m are mutually exclusive and only the last one is effective; for example, it is not the case that giving both the --si and -m options would result in output in (actual, 1000000-byte) megabytes. [The interpretation of blocksizes is also influenced by the environment variable BLOCK_SIZE, but this does not work in the fileutils-4.0 version.]

--no-sync
    Do not invoke the sync system call before getting any usage data. This may make df run significantly faster, but on some systems (notably SunOS) the results may be slightly out of date. This is the default.

-P, --portability
    Use the POSIX output format. This is like the default format except that the information about each filesystem is always printed on exactly one line; a mount device is never put on a line by itself. This means that if the mount device name is more than 20 characters long (e.g., for some network mounts), the columns are misaligned.

--sync
    Invoke the sync system call before getting any usage data. On some systems (notably SunOS), doing this yields more up to date results, but in general this option makes df much slower, especially when there are many or very busy filesystems.

-t fstype, --type=fstype
    Limit the listing to filesystems of type fstype. Multiple filesystem types can be specified by giving multiple -t options. By default, nothing is omitted.

-T, --print-type
    Print each filesystem's type. The types given are those reported by the system (and are found in a system-dependent way, for example by reading /etc/mtab). See also mount(8).

-x fstype, --exclude-type=fstype
    Limit the listing to filesystems not of type fstype. Multiple filesystem types can be eliminated by giving multiple -x options. By default, no filesystem types are omitted.

-v  Ignored; for compatibility with System V versions of df.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variable POSIXLY_CORRECT determines the choice of unit. If it is not set, and the variable BLOCKSIZE has a value starting with `HUMAN', then behaviour is as for the -h option, unless overridden by -k or -m options. The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning.

CONFORMING TO
POSIX.2

SEE ALSO
mount(8)

NOTES
This page describes df as found in the fileutils-4.0 package; other versions may differ slightly.